package edu.ucf.rp2;

public class YahooAd extends Ad {
	
	
	public YahooAd (String clickTrackURL) {
		this.clickTrackURL = clickTrackURL;
	}
	
	
	public String extractDestURL () {	
		// removes head from Google Ad URL
		String yahooWebUrl_coded = clickTrackURL.substring(clickTrackURL.indexOf("%26u=")+5, clickTrackURL.length());
	    // substitutes %25 added by Yahoo with the % originally added by Bing
		String bingWebUrl_coded = yahooWebUrl_coded.replaceAll("%25", "%");
		
		// splits the Google URL into substrings at each coded ASCII value
		String[] subStr = bingWebUrl_coded.split("%");
		
		String webUrl_decoded = subStr[0];
		String asciiHex       = "";
		String asciiSymbol    = "";
		String convertedStr   = "";
		   
		for(int j=1; j<subStr.length; j++)
		{
			// extract hex value from substring
			asciiHex = subStr[j].substring(0,2);
			// converts hex value to ASCII symbol
			asciiSymbol = hex2ascii(asciiHex);
			// replace hex value with ASCII symbol
			convertedStr = subStr[j].replace(asciiHex, asciiSymbol);
			// concatenates the string fragments into a final string
			webUrl_decoded = webUrl_decoded + convertedStr;
		}
		
		if (!webUrl_decoded.startsWith("http://")) {
			return "http://" + webUrl_decoded;
		} else {
			return webUrl_decoded;
		}
	}
	
	
	public String getClickTrackURL () {
		if (clickTrackURL.startsWith("/r")) {
			return "http://search.yahoo.com" + clickTrackURL;
		} else {
			return clickTrackURL;
		}
	}
	
	
	public int sec1Length () {
		String adURL = clickTrackURL;
		if ( adURL.startsWith("/r") ) {
			adURL = "http://search.yahoo.com" + clickTrackURL;
		}
		
		return adURL.indexOf("**");
	}
	
}
