package edu.ucf.rp2;

import java.util.List;

public class YahooTester extends Tester {
	
	
	public YahooTester () {
		this.logName = "Yahoo";
		this.maxSampleSize = Integer.MAX_VALUE;
	}
	
	
	public YahooTester (String logName) {
		this.logName = logName;
		this.maxSampleSize = Integer.MAX_VALUE;
	}
	
	
	public YahooTester (String logName, int maxSampleSize) {
		this.logName = logName;
		this.maxSampleSize = maxSampleSize;
	}
	
	
	protected void processSearch (String searchTerm) {
		YahooSearch search = new YahooSearch(searchTerm);
		List<YahooAd> ads = search.ads();
		
		for (YahooAd ad : ads)
			processAd(ad);
	}
	
	
	protected void processAd (YahooAd ad) {
		logger.nextField(Integer.toString(linkID++));
		logger.nextField(ad.getClickTrackURL());
		logger.nextField(ad.getDestURL());
		compareWebsites(ad.getClickTrackURL(), ad.getDestURL());
		logger.nextField(Integer.toString(ad.sec1Length()));
		logger.writeLine();
	}
	
	
	protected void makeHeader() {
		logger.nextField("Key");
		logger.nextField("YahooURL");
		logger.nextField("DestURL");
		logger.nextField("YahooCode");
		logger.nextField("DestCode");
		logger.nextField("Diff");
		logger.nextField("Sec1Length");
		logger.writeLine();
	}

}
