package edu.ucf.rp2;

public abstract class Ad {
	
	
	protected String clickTrackURL;
	protected String destURL;
	
	
	public String getClickTrackURL () {
		return clickTrackURL;
	}
	
	
	public String getDestURL () {
		if (destURL==null) {
			destURL = extractDestURL();
		}
		return destURL;
	}
	
	
	protected static String hex2ascii (String hex) {		  
		StringBuilder stringBuilder = new StringBuilder();
			
		//49204c6f7665204a617661 split into two characters 49, 20, 4c...
		for( int i=0; i<hex.length()-1; i+=2 )
		{
			// grab the hex in pairs
			String output = hex.substring(i, (i + 2));
			// convert hex to decimal
			int decimal = Integer.parseInt(output, 16);
			// convert the decimal to character
			stringBuilder.append((char)decimal);
		}

		return stringBuilder.toString();
	}
	
	
	protected abstract String extractDestURL ();
}
