package edu.ucf.rp2;

import java.util.ArrayList;
import java.util.List;

import org.jsoup.nodes.Element;
import org.jsoup.select.Elements;

public class GoogleSERP extends SERP {

	public GoogleSERP(String phrase, 
			          String serpUrlPrefix, 
			          String adKeyWord) 
	{
		super(phrase, serpUrlPrefix, adKeyWord);
	}
	
	public List<GoogleAd> ads () {
		List<GoogleAd> adURLList = new ArrayList<GoogleAd>();
		Elements adElements = extractAdElements(serpSource);
		
		for (Element adElement : adElements)
		{
			String adURL = adElement.attr("href");
			GoogleAd ad = new GoogleAd(adURL);
			adURLList.add(ad);
		}
		
		return adURLList;
	}
	
}
